{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Debug recharge_node",
      "type": "cppdbg",
      "request": "launch",
      "program": "${workspaceFolder}/install/recharge/lib/recharge/recharge_node",
      "args": [],
      "stopAtEntry": false,
      "cwd": "${workspaceFolder}",
      "environment": [
        {
          "name": "RMW_IMPLEMENTATION",
          "value": "rmw_fastrtps_cpp"
        },
        {
          "name": "RCUTILS_COLORIZED_OUTPUT",
          "value": "1"
        }
      ],
      "externalConsole": false,
      "MIMode": "gdb",
      "setupCommands": [
        {
          "description": "Enable pretty-printing for gdb",
          "text": "-enable-pretty-printing",
          "ignoreFailures": true
        }
      ],
      "miDebuggerPath": "/usr/bin/gdb"
    },
    {
      "name": "Run without build",
      "type": "cppdbg",
      "request": "launch",
      "program": "${workspaceFolder}/install/recharge/lib/recharge/recharge_node",
      "args": [],
      "stopAtEntry": false,
      "cwd": "${workspaceFolder}",
      "environment": [],
      "externalConsole": false,
      "MIMode": "gdb",
      "setupCommands": [
        {
          "description": "Enable pretty-printing for gdb",
          "text": "-enable-pretty-printing",
          "ignoreFailures": true
        }
      ],
      "miDebuggerPath": "/usr/bin/gdb"
    },
    {
            "name": "C++ Debug",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/install/recharge/lib/recharge/recharge_node",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [
                {
                    "name": "LD_LIBRARY_PATH",
                    "value": "/home/nvidia/zkf/rechange_ws/install/recharge/lib:/home/nvidia/zkf/rechange_ws/install/lib:${env:LD_LIBRARY_PATH}"
                }
            ],
            "externalConsole": false,
            "MIMode": "gdb"
        }
  ]
}